List all incident updates for an organisation, or for a specific incident.
GET
/
v2
/
incident_updates
List
curl --request GET \
--url https://api.incident.io/v2/incident_updates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v2/incident_updates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v2/incident_updates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incident_updates": [
{
"created_at": "2021-08-17T13:28:57.801578Z",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"merged_into_incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"message": "We're working on a fix, hoping to ship in the next 30 minutes",
"new_incident_status": {
"category": "triage",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Impact has been **fully mitigated**, and we're ready to learn from this incident.",
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"name": "Closed",
"rank": 4,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"new_severity": {
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Issues with **low impact**.",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Minor",
"rank": 1,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"updater": {
"alert": {
"id": "01GW2G3V0S59R238FAHPDS1R66",
"title": "*errors.withMessage: PG::Error failed to connect"
},
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
},
"workflow": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My little workflow"
}
}
}
],
"pagination_meta": {
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
}🔑 Requires the
incidents.view scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Query Parameters
Incident whose updates you want to list
Example:
"01G0J1EXE7AXZ2C93K61WBPYEH"
Integer number of records to return
Required range:
x <= 250Example:
25
An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.
Example:
"01FDAG4SAP5TYPT98WGR2N7W91"
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Example:
[
{
"created_at": "2021-08-17T13:28:57.801578Z",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"merged_into_incident_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"message": "We're working on a fix, hoping to ship in the next 30 minutes",
"new_incident_status": {
"category": "triage",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Impact has been **fully mitigated**, and we're ready to learn from this incident.",
"id": "01FCNDV6P870EA6S7TK1DSYD5H",
"name": "Closed",
"rank": 4,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"new_severity": {
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Issues with **low impact**.",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Minor",
"rank": 1,
"updated_at": "2021-08-17T13:28:57.801578Z"
},
"updater": {
"alert": {
"id": "01GW2G3V0S59R238FAHPDS1R66",
"title": "*errors.withMessage: PG::Error failed to connect"
},
"api_key": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My test API key"
},
"user": {
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"slack_user_id": "U02AYNF2XJM"
},
"workflow": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "My little workflow"
}
}
}
]
Show child attributes
Show child attributes
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
Was this page helpful?
⌘I
List
